Bug 1258523 - python-jenkins: jenkins: CSFR vulnerability allowing remote attacker to hijack authentication [fedora-all]
python-jenkins: jenkins: CSFR vulnerability allowing remote attacker to hijac...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: python-jenkins (Show other bugs)
22
All Linux
high Severity high
: ---
: ---
Assigned To: Scott K Logan
Fedora Extras Quality Assurance
fst_owner=dcafaro, fst_ping=1
: Security, SecurityTracking
Depends On:
Blocks: 1258515
  Show dependency treegraph
 
Reported: 2015-08-31 10:28 EDT by Adam Mariš
Modified: 2015-12-14 01:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-14 01:53:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-08-31 10:28:59 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]
Comment 1 Adam Mariš 2015-08-31 10:29:05 EDT
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1258515,1258523

# Description of your update
notes=Security fix for 

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1258515,1258523
Comment 2 Scott K Logan 2015-08-31 13:25:47 EDT
Correct me if I am wrong - It looks like this is completely a server-side problem.

python-jenkins is only a set of Python bindings for the remote API - It doesn't expose any interfaces that could be exploited in this way.

Nasty bug in the Jenkins core, though.

Was this bug opened as a precaution, or is there another side of this issue that is known to affect python-jenkins?

Thanks,

--scott
Comment 3 David A. Cafaro 2015-10-10 22:40:18 EDT
I'll try and take a look at this in more detail this week.  Not sure if it's server-side only.  There is a related ticket here https://bugzilla.redhat.com/show_bug.cgi?id=1258522
Comment 4 Scott K Logan 2015-12-14 01:53:30 EST
This was closed NOTABUG according to upstream.

I'm also pretty sure this wouldn't affect python-jenkins because the package just exposes the remote API to Python.

Closing.

Thanks,

--scott

Note You need to log in before you can comment on or make changes to this bug.